# Method lfun::`->()

Method `->

  `mixed `->(string index, object|void context, int|void access)`

Description

  Arrow index callback.

Parameter `index`

  Symbol in context to access.

Parameter `context`

  Context in the current object to start the search from. If `UNDEFINED` or left out, `this_program::this` is to be be used (ie start at the current context and ignore any overloaded symbols).

Parameter `access`

  Access permission override. One of the following:

  `0` | See only public symbols.
  `UNDEFINED`
  `1` | See protected symbols as well.

Returns

  Returns the value at index if it exists, and `UNDEFINED` otherwise.

Note

  It's assumed that this function is side-effect free.

See also

  `->(), ::`->()